package net.woodyfolsom.msproj;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class TerritoryFinderTest {
	@Test
	public void testMarkTerritory() {
		GameConfig gameConfig = new GameConfig(5);
		GameState gameState = new GameState(gameConfig);

		assertTrue(gameState.placeStone(Player.BLACK, Action.getInstance("A2")));
		assertTrue(gameState.placeStone(Player.BLACK, Action.getInstance("B3")));
		assertTrue(gameState.placeStone(Player.BLACK, Action.getInstance("C2")));
		assertTrue(gameState.placeStone(Player.BLACK, Action.getInstance("B1")));
		assertTrue(gameState.placeStone(Player.WHITE, Action.getInstance("E5")));

		TerritoryMarker.markTerritory(gameState.getGameBoard());
		System.out.println(gameState);
	}
}
